Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.servlet
Class ServletOutputStreamBuffer

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream
              org.jboss.portal.common.servlet.ServletOutputStreamBuffer

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class ServletOutputStreamBuffer

extends javax.servlet.ServletOutputStream

Version:
  $Revision: 7228 $
Author:
  Julien Viet

Constructor Summary
`ServletOutputStreamBuffer(int size)`

Method Summary
`byte[]` | `getBinaryContent()`
`java.lang.String` | `getContent(java.lang.String encoding)`
`void` | `reset()`
`void` | `write(int value)`

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.io.OutputStream
`close, flush, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletOutputStreamBuffer

    public ServletOutputStreamBuffer(int size)

Method Detail

### write

    public void write(int value)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### getContent

    public java.lang.String getContent(java.lang.String encoding)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBinaryContent

    public byte[] getBinaryContent()
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### reset

    public void reset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.